Skip to main content
POST
/
locations
cURL
curl --request POST \
  --url https://api.vooma.ai/v0/locations \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "location": {
    "address": {
      "country": "<string>",
      "postalCode": "<string>",
      "city": "<string>",
      "state": "<string>",
      "addressTwo": "<string>",
      "addressOne": "<string>"
    },
    "externalIds": [
      {
        "type": "CUSTOM",
        "value": "<string>"
      }
    ],
    "name": "<string>",
    "contacts": [
      {
        "name": "<string>",
        "email": "<string>",
        "phone": "<string>",
        "role": "<string>"
      }
    ],
    "hours": {
      "sunday": {
        "type": "FACILITY_HOURS",
        "timezone": "<string>",
        "endTime": "<string>",
        "startTime": "<string>"
      },
      "saturday": {
        "type": "FACILITY_HOURS",
        "timezone": "<string>",
        "endTime": "<string>",
        "startTime": "<string>"
      },
      "friday": {
        "type": "FACILITY_HOURS",
        "timezone": "<string>",
        "endTime": "<string>",
        "startTime": "<string>"
      },
      "thursday": {
        "type": "FACILITY_HOURS",
        "timezone": "<string>",
        "endTime": "<string>",
        "startTime": "<string>"
      },
      "wednesday": {
        "type": "FACILITY_HOURS",
        "timezone": "<string>",
        "endTime": "<string>",
        "startTime": "<string>"
      },
      "tuesday": {
        "type": "FACILITY_HOURS",
        "timezone": "<string>",
        "endTime": "<string>",
        "startTime": "<string>"
      },
      "monday": {
        "type": "FACILITY_HOURS",
        "timezone": "<string>",
        "endTime": "<string>",
        "startTime": "<string>"
      }
    },
    "scheduling": {
      "method": "EMAIL",
      "portal": "AMAZON_CARRIER_CENTRAL"
    },
    "geoCoordinates": {
      "longitude": 123,
      "latitude": 123
    }
  }
}
'
{
  "address": {
    "country": "<string>",
    "postalCode": "<string>",
    "city": "<string>",
    "state": "<string>",
    "addressTwo": "<string>",
    "addressOne": "<string>"
  },
  "externalIds": [
    {
      "type": "CUSTOM",
      "value": "<string>"
    }
  ],
  "id": "<string>",
  "name": "<string>",
  "contacts": [
    {
      "name": "<string>",
      "email": "<string>",
      "phone": "<string>",
      "role": "<string>"
    }
  ],
  "hours": {
    "sunday": {
      "type": "FACILITY_HOURS",
      "timezone": "<string>",
      "endTime": "<string>",
      "startTime": "<string>"
    },
    "saturday": {
      "type": "FACILITY_HOURS",
      "timezone": "<string>",
      "endTime": "<string>",
      "startTime": "<string>"
    },
    "friday": {
      "type": "FACILITY_HOURS",
      "timezone": "<string>",
      "endTime": "<string>",
      "startTime": "<string>"
    },
    "thursday": {
      "type": "FACILITY_HOURS",
      "timezone": "<string>",
      "endTime": "<string>",
      "startTime": "<string>"
    },
    "wednesday": {
      "type": "FACILITY_HOURS",
      "timezone": "<string>",
      "endTime": "<string>",
      "startTime": "<string>"
    },
    "tuesday": {
      "type": "FACILITY_HOURS",
      "timezone": "<string>",
      "endTime": "<string>",
      "startTime": "<string>"
    },
    "monday": {
      "type": "FACILITY_HOURS",
      "timezone": "<string>",
      "endTime": "<string>",
      "startTime": "<string>"
    }
  },
  "scheduling": {
    "method": "EMAIL",
    "portal": "AMAZON_CARRIER_CENTRAL"
  },
  "geoCoordinates": {
    "longitude": 123,
    "latitude": 123
  }
}
Beta Feature: This functionality is currently in beta. You may experience changes or limited support as we continue to improve it.

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Body

application/json
location
object
required

Response

200 - application/json

Ok

address
object
required
externalIds
object[]
required
id
string
name
string
contacts
object[]
hours
object
scheduling
object
geoCoordinates
object